/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago4q.extractors.tablehandlers;

import java.sql.Connection;
import java.util.Date;
import java.util.List;

import it.eng.spago.base.SourceBean;
import it.eng.spago.dbaccess.sql.DataConnection;
import it.eng.spago.error.EMFUserError;
import it.eng.spago4q.extractors.bo.InterfaceItem;

public interface TableHandlerInterface {

	public void dropFactTable(DataConnection connection,
			String interfaceTableName) throws EMFUserError;

	public void createFactTable(DataConnection dataConnection,
			String tableName, List interfaceFieldList) throws EMFUserError;

	public void updateFactTable(Date executionDate, DataConnection dataConnection,
			String tableName, InterfaceItem interfaceItem) throws EMFUserError;

	public void insertIntoFactTable(Date executionDate, DataConnection dataConnection,
			String tableName, InterfaceItem interfaceItem, Integer logId) throws EMFUserError;

	public SourceBean selectFromFactTable(DataConnection dataConnection,
			String tableName, InterfaceItem interfaceItem, Date operationDate) throws EMFUserError;

	public boolean hasThisTable(Connection connection, String tableName) throws EMFUserError;

	public String transformTableName(String tableName);

}
