/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago4q.process.utils;

import it.eng.spago.base.SourceBean;
import it.eng.spago4q.bo.EOperation;
import it.eng.spago4q.bo.EOperationParameter;
import it.eng.spago4q.utilities.DetailS4Q2ObjectUtil;

public class DetailOperationParameterUtil extends DetailS4Q2ObjectUtil {

	private static final String DAO_NAME = "EOperationParameterDAO";
	private static final String OBJ_NAME = "OPERATIONPARAMETER";

	@Override
	protected String getDAOName() {
		return DAO_NAME;
	}

	@Override
	protected Object getObjectFromRequest(SourceBean serviceRequest) {
		EOperationParameter toReturn = new EOperationParameter();
		String name = (String) serviceRequest.getAttribute("name");
		String value = (String) serviceRequest.getAttribute("value");
		String criptStr = (String) serviceRequest.getAttribute("cript");
		
		String operationId = (String) serviceRequest
				.getAttribute("Operation_Id");

		boolean cript = false;

		if (criptStr != null) {
			cript = true;
		}

		toReturn.setName(name);
		toReturn.setValue(value);
		toReturn.setCript(cript);

		EOperation operation = new EOperation();

		operation.setId(Integer.parseInt(operationId));

		toReturn.setEOperation(operation);

		return toReturn;

	}

	@Override
	protected String getObjectName() {
		return OBJ_NAME;
	}

	@Override
	protected void setObjectId(Object object, Integer id) {
		((EOperationParameter) object).setId(id);
	}
}