/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago4q.source.utils;

import it.eng.spago.base.SourceBean;
import it.eng.spago4q.bo.DataSource;
import it.eng.spago4q.bo.DataSourceParameter;
import it.eng.spago4q.utilities.DetailS4Q2ObjectUtil;

public class DetailDataSourceParameterUtil extends DetailS4Q2ObjectUtil {

	private static final String DAO_NAME = "EDataSourceParameterDAO";
	private static final String OBJ_NAME = "DATASOURCEPARAMETER";

	@Override
	protected String getDAOName() {
		return DAO_NAME;
	}

	@Override
	protected Object getObjectFromRequest(SourceBean serviceRequest) {
		DataSourceParameter toReturn = new DataSourceParameter();
		String name = (String) serviceRequest.getAttribute("name");
		String value = (String) serviceRequest.getAttribute("value");
		String criptStr = (String) serviceRequest.getAttribute("cript");

		String dataSourceId = (String) serviceRequest
				.getAttribute("DataSource_Id");

		boolean cript = false;

		if (criptStr != null) {
			cript = true;
		}

		toReturn.setName(name);
		toReturn.setCript(cript);
		toReturn.setValue(value);
		

		DataSource dataSource = new DataSource();

		dataSource.setId(Integer.parseInt(dataSourceId));

		toReturn.setDataSource(dataSource);

		return toReturn;

	}

	@Override
	protected String getObjectName() {
		return OBJ_NAME;
	}

	@Override
	protected void setObjectId(Object object, Integer id) {
		((DataSourceParameter) object).setId(id);
	}

}
